Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1684472 - role with all Product Features checked, throws RbacPrivilegeException
Summary: role with all Product Features checked, throws RbacPrivilegeException
Keywords:
Status: POST
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.11.0
Assignee: Harpreet Kataria
QA Contact: Antonin Pagac
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks: 1692488 1693720
TreeView+ depends on / blocked
 
Reported: 2019-03-01 10:54 UTC by Gellert Kis
Modified: 2019-04-10 08:31 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1693720 (view as bug list)
Environment:
Last Closed:
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
redhat_best_placement_with_scope.rb (deleted)
2019-04-08 20:46 UTC, Sigbjorn Lie
no flags Details

Comment 5 CFME Bot 2019-03-22 08:52:11 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/37a443f8d31637630307a27cc1a4d7e40ec4538c
commit 37a443f8d31637630307a27cc1a4d7e40ec4538c
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Wed Mar 20 13:54:05 2019 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Wed Mar 20 13:54:05 2019 -0400

    Fixed condition to use correct feature id

    Fixed condition to use correct feature id when goign to tagging from summary screen directly. https://github.com/ManageIQ/manageiq-ui-classic/pull/4843 did not cover all scenarios.

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1684472

 app/controllers/application_controller/tags.rb | 2 +-
 spec/controllers/application_controller/tags_spec.rb | 25 +-
 2 files changed, 22 insertions(+), 5 deletions(-)

Comment 8 Tina Fitzgerald 2019-03-29 18:24:57 UTC
Hi Gellert,

Can you explain more about how the storage is getting selected? Is it part of the service_template, or best_fit?
Can you provide logs showing the error?

Thanks,
Tina

Comment 15 Sigbjorn Lie 2019-04-08 11:26:01 UTC
Tina,

The "custom automate code" is the https://github.com/RedHatOfficial/miq-Utilities and https://github.com/RedHatOfficial/miq-RedHat-Satellite6.

When logged into Cloudforms as an admin user with the role "EvmRole-super_administrator" the workflow works just fine. When a user with the role "EvmRole-user_self_service" it stops working.

This worked fine on Cloudforms 5.9. This stopped working after the upgrade to Cloudforms 5.10.

Comment 17 Sigbjorn Lie 2019-04-08 20:46:36 UTC
Created attachment 1553740 [details]
redhat_best_placement_with_scope.rb

Comment 18 Sigbjorn Lie 2019-04-08 20:47:25 UTC
Please see the requested file attached.

Comment 19 Tina Fitzgerald 2019-04-09 18:31:15 UTC
Opened new ticket to track this issue: https://bugzilla.redhat.com/show_bug.cgi?id=1698183


Note You need to log in before you can comment on or make changes to this bug.